---
title: "Create a new redirect."
url: https://docs.gleap.ai/en/reference/rest-api/create-helpcenter-redirect
method: POST
path: "/helpcenter-redirect"
api: "API Reference"
tag: "Help center redirects"
operationId: "CreateHelpcenterRedirect"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Create a new redirect.

`POST https://api.gleap.io/v3/helpcenter-redirect`

Create a new redirect.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

- `oldUrl` (string, required): Path or URL to redirect from. Required when creating a redirect.
- `newUrl` (string, required): Target path or URL. Required when creating a redirect.
- `matchType` (enum<string>, required): How `oldUrl` is matched: `exact` (default) for a literal match, `pattern` for a wildcard/pattern match. Optional. One of: `exact`, `pattern`.

## Example request

```bash
curl --request POST \
  --url https://api.gleap.io/v3/helpcenter-redirect \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{
  "oldUrl": "<oldUrl>",
  "newUrl": "<newUrl>",
  "matchType": "exact"
}'
```

## Responses

### 200 (`application/json`)

Ok
